Subject: Re: bug#38164: quit-restore-window doesn't restore point in man

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 04 Apr 2021 21:19:44 +0200

Eli Zaretskii <[email-masked]> writes:

> So we traded a minor issue for a more serious one.  (And if I try the
> recipe which triggered that change, I see a perfectly expected
> behavior in Emacs 24.)
>
> I think that change should be reverted.

The recipe is unclear -- I think it's really

M-x man RET man RET
select the man window
M-: (progn (man "XYZ") (read-string "-->"))

In Emacs 27, this will pop out of the read-string, which is the bug?

I'd rather fix the (setq Man-notify-method 'aggressive) regression than
bring that awkward interface bug back.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no